---
lang: en
title: 'API docs: core.lifecycleobserver.start'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserver.start.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserver](./core.lifecycleobserver.md) &gt; [start](./core.lifecycleobserver.start.md)

## LifeCycleObserver.start() method

The method to be invoked during `start`

**Signature:**

```typescript
start?(...injectedArgs: unknown[]): ValueOrPromise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

injectedArgs


</td><td>

unknown\[\]


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[ValueOrPromise](./context.valueorpromise.md)<!-- -->&lt;void&gt;


